Test Cases - Delete

Delete a test case.

DELETE https://dev.azure.com/{organization}/{project}/_apis/testplan/testcases/{testCaseId}?api-version=6.0-preview.1

URI Parameters

Name In Required Type Description
organization
path True
  • string

The name of the Azure DevOps organization.

project
path True
  • string

Project ID or project name

testCaseId
path True
  • integer
int32

Id of test case to be deleted.

api-version
query True
  • string

Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.test_write Grants the ability to read, create, and update test plans, cases, results and other test management related artifacts.

Examples

Delete a test case

Sample Request

DELETE https://dev.azure.com/{organization}/{project}/_apis/testplan/testcases/{testCaseId}?api-version=6.0-preview.1

Sample Response